Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyFieldDoc

    org.codehaus.groovy.groovydoc.GroovyMemberDoc
      org.codehaus.groovy.groovydoc.GroovyFieldDoc
          org.codehaus.groovy.groovydoc.GroovyDoc
              org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

All Superinterfaces:
  GroovyMemberDoc, GroovyDoc, GroovyProgramElementDoc

    public interface GroovyFieldDoc
    extends GroovyMemberDoc

Method Summary
`java.lang.Object` | `constantValue()`
`java.lang.String` | `constantValueExpression()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`GroovyType` | `type()`

Methods inherited from interface GroovyMemberDoc
isSynthetic

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface java.lang.Comparable
java.lang.Comparable#compareTo(java.lang.Object)

Method Detail

### constantValue

    public java.lang.Object constantValue()

### constantValueExpression

    public java.lang.String constantValueExpression()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### type

    public GroovyType type()

Groovy Documentation